diff options
author | Javier Jardón <jjardon@gnome.org> | 2011-06-19 22:16:12 +0100 |
---|---|---|
committer | Javier Jardón <jjardon@gnome.org> | 2011-08-26 12:09:55 +0100 |
commit | 882aeed875e1eb90af261265e0036466c3eac455 (patch) | |
tree | 061f7a8ac268cfa14beb35143683b5f724c5bcdb /autogen.sh | |
parent | f51eb6415dcee0656e9dec3aa19264ad2354aa06 (diff) | |
download | gobject-introspection-882aeed875e1eb90af261265e0036466c3eac455.tar.gz |
autogen.sh: Use autoreconf instead custom script
Diffstat (limited to 'autogen.sh')
-rwxr-xr-x | autogen.sh | 55 |
1 files changed, 18 insertions, 37 deletions
@@ -1,45 +1,26 @@ #!/bin/sh # Run this to generate all the initial makefiles, etc. -srcdir=`dirname $0` -test -z "$srcdir" && srcdir=. +test -n "$srcdir" || srcdir=`dirname "$0"` +test -n "$srcdir" || srcdir=. -PKG_NAME="gobject-introspection" -REQUIRED_AUTOCONF_VERSION=2.53 -REQUIRED_AUTOMAKE_VERSION=1.9 -REQUIRED_GTK_DOC_VERSION=1.10 +olddir=`pwd` +cd "$srcdir" -(test -f $srcdir/configure.ac \ - && test -f $srcdir/autogen.sh) || { - echo -n "**Error**: Directory "\`$srcdir\'" does not look like the" - echo " top-level $PKG_NAME directory" - exit 1 -} - -DIE=0 - -# This is a bit complicated here since we can't use gnome-config yet. -# It'll be easier after switching to pkg-config since we can then -# use pkg-config to find the gnome-autogen.sh script. - -gnome_autogen= -gnome_datadir= - -ifs_save="$IFS"; IFS=":" -for dir in $PATH ; do - test -z "$dir" && dir=. - if test -f $dir/gnome-autogen.sh ; then - gnome_autogen="$dir/gnome-autogen.sh" - gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'` - break - fi -done -IFS="$ifs_save" +GTKDOCIZE=`which gtkdocize` +if test -z $GTKDOCIZE; then + echo "*** No GTK-Doc found, please install it ***" + exit 1 +fi -if test -z "$gnome_autogen" ; then - echo "You need to install the gnome-common module and make" - echo "sure the gnome-autogen.sh script is in your \$PATH." - exit 1 +AUTORECONF=`which autoreconf` +if test -z $AUTORECONF; then + echo "*** No autoreconf found, please install it ***" + exit 1 fi -GNOME_DATADIR="$gnome_datadir" USE_GNOME2_MACROS=1 USE_COMMON_DOC_BUILD=yes . $gnome_autogen +gtkdocize || exit $? +autoreconf --force --install --verbose || exit $? + +cd "$olddir" +test -n "$NOCONFIGURE" || "$srcdir/configure" "$@" |